import { StraightNumericAxisBase } from "./StraightNumericAxisBase";
import { IScaler } from "./IScaler";
import { AxisOrientation } from "./AxisOrientation";
import { AxisView } from "./AxisView";
import { Type, IList$1 } from "igniteui-angular-core";
import { AxisLabelPanelBase } from "./AxisLabelPanelBase";
import { Rect } from "igniteui-angular-core";
import { ScalerParams } from "./ScalerParams";
import { NumericScaler } from "./NumericScaler";
import { NumericAxisRenderer } from "./NumericAxisRenderer";
import { NumericAxisRenderingParameters } from "./NumericAxisRenderingParameters";
import { StraightNumericAxisBaseView } from "./StraightNumericAxisBaseView";
/**
 * @hidden
 */
export declare class NumericYAxis extends StraightNumericAxisBase implements IScaler {
    static $t: Type;
    a1(): AxisView;
    constructor();
    as(): AxisLabelPanelBase;
    protected get_cf(): boolean;
    dv(): number;
    dw(a: number, b: ScalerParams): number;
    gn(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    gm(a: IList$1<number[]>, b: IList$1<number>, c: number, d: number, e: ScalerParams): void;
    dz(a: number, b: ScalerParams): number;
    go(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    lv(a: number, b: number): void;
    jd(): NumericAxisRenderer;
    jg(a: Rect, b: Rect, c: Rect, d: Rect): NumericAxisRenderingParameters;
    protected g7(a: boolean): void;
    protected hh(a: Rect, b: Rect): void;
    protected get_az(): AxisOrientation;
    readonly az: AxisOrientation;
    ji(): NumericScaler;
    j$c(a: number, b: ScalerParams): number;
    j$b(a: number, b: ScalerParams): number;
    j$d(a: IList$1<number[]>, b: IList$1<number>, c: number, d: number, e: ScalerParams): void;
    j$e(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    j$f(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    readonly j$a: boolean;
}
/**
 * @hidden
 */
export declare class NumericYAxisView extends StraightNumericAxisBaseView {
    static $t: Type;
    constructor(a: NumericYAxis);
    protected bi: NumericYAxis;
}
